Page 1 of 2 12 LastLast
Results 1 to 10 of 17

Thread: Nvidia drivers 304.48

  1. #1
    Join Date
    Jul 2010
    Location
    Finland
    Beans
    2,455
    Distro
    Ubuntu

    Nvidia drivers 304.48

    There is a new nvidia graphics driver in Xorg-edgers PPA: 304.48.

  2. #2
    Join Date
    Dec 2010
    Location
    Fukuoka, Japan
    Beans
    1,062
    Distro
    Kubuntu 14.04 Trusty Tahr

    Re: Nvidia drivers 304.48

    I tried that one...broke everything. Couldnt get x to start. Im using 304.37 now and it seems stable enough. Had the blue youtube faces bug at first, but thats easy enough to correct.

  3. #3
    Join Date
    May 2008
    Beans
    1,020

    Re: Nvidia drivers 304.48

    Quote Originally Posted by whatthefunk View Post
    I tried that one...broke everything. Couldnt get x to start. Im using 304.37 now and it seems stable enough. Had the blue youtube faces bug at first, but thats easy enough to correct.
    There is a 304.43 stable release.
    OB-untu. #!crunchbang

  4. #4
    Join Date
    Mar 2007
    Location
    Caprica
    Beans
    2,002
    Distro
    Ubuntu Development Release

    Re: Nvidia drivers 304.48

    I have just installed 304.48 (using Nvidia installer). It is available at ftp.download.nvidia, as usual, and here are the direct links:

    For 32-bit:
    Code:
    wget ftp://download.nvidia.com/XFree86/Linux-x86/304.48/NVIDIA-Linux-x86-304.48.run
    For 64-bit:
    Code:
    wget ftp://download.nvidia.com/XFree86/Linux-x86_64/304.48/NVIDIA-Linux-x86_64-304.48.run
    It works normally for me using up-to-date QQ, with no alternate repos/PPAs.
    Screenshot from 2012-09-14 11:59:02.jpg

    OBS: There are 3 new options in ccsm / OpenGL (I hadn't noticed this change yet). "Framebuffer Object", "Vertex Buffer Object" and " Always use Buffer Swapping".

    EDIT:

    - I noticed my glxgears went from ≃ 14000.000 to 4000.000. Enabling or disabling the new ccsm options I listed above had no effect in performance here. Disabling FXAA and "Texture Sharpening" on nvidia-settings brought me back to ≃ 14000.000 on glxgears with no tearing and similar quality.

    - Enabling or disabling "Sync to VBlank" on ccsm is not working for me anymore (only works on nvidia-settings).

    Regards,
    Effenberg
    Last edited by effenberg0x0; September 14th, 2012 at 04:16 PM.

  5. #5
    Join Date
    Dec 2010
    Location
    Fukuoka, Japan
    Beans
    1,062
    Distro
    Kubuntu 14.04 Trusty Tahr

    Re: Nvidia drivers 304.48

    Quote Originally Posted by xebian View Post
    There is a 304.43 stable release.
    Thats the one I tried. I tried getting it from the ppa first, and then downloaded it direct from nvidia. Broke x both times. Dont know what went wrong there....

  6. #6
    Join Date
    Mar 2007
    Location
    Caprica
    Beans
    2,002
    Distro
    Ubuntu Development Release

    Re: Nvidia drivers 304.48

    I did a cold boot, just to be sure, and everything is fine so far. Here are the versions of the related packages in my install:

    Code:
    [12:20:07] ahsl@AL-DESK01:[~]: uname -a
    Linux AL-DESK01 3.5.0-14-generic #16-Ubuntu SMP Mon Sep 10 21:57:14 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
    [12:20:17] ahsl@AL-DESK01:[~]: X -version
    
    X.Org X Server 1.13.0
    Release Date: 2012-09-05
    X Protocol Version 11, Revision 0
    Build Operating System: Linux 3.2.0-23-generic x86_64 Ubuntu
    Current Operating System: Linux AL-DESK01 3.5.0-14-generic #16-Ubuntu SMP Mon Sep 10 21:57:14 UTC 2012 x86_64
    Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-14-generic root=UUID=39279a24-1546-4695-b67c-46c823d8a063 ro crashkernel=384M-2G:64M,2G-:128M quiet splash vt.handoff=7
    Build Date: 06 September 2012  10:13:05PM
    xorg-server 2:1.13.0-0ubuntu1 (For technical support please see http://www.ubuntu.com/support) 
    Current version of pixman: 0.26.0
    	Before reporting problems, check http://wiki.x.org
    	to make sure that you have the latest version.
    [12:20:22] ahsl@AL-DESK01:[~]: compiz --version
    Compiz 0.9.8.0
    [12:20:31] ahsl@AL-DESK01:[~]: unity --version
    unity 6.4.0
    I have re-checked apt sources, apt prefs and dpkg status. I have no pins and packages on hold using default sources, but I'm holding some packages. I think they're mostly unrelated (no Kernel, xorg*, compiz, unity) but heres the list anyway:
    Code:
    The following packages have been kept back:
      braindump calibre calibre-bin calligra calligra-libs calligraflow calligraplan calligrasheets calligrastage
      calligrawords cups-filters gnome-commander gwibber-service inkscape karbon kde-runtime kdelibs-bin kdelibs5-data
      kdelibs5-plugins kdoctools kexi krita libkcmutils4 libkde3support4 libkdeclarative5 libkdecore5 libkdesu5
      libkdeui5 libkdewebkit5 libkdnssd4 libkemoticons4 libkfile4 libkhtml5 libkidletime4 libkio5 libkjsapi4
      libkjsembed4 libkmediaplayer4 libknewstuff3-4 libknotifyconfig4 libkntlm4 libkparts4 libkprintutils4 libkpty4
      libkrosscore4 libkrossui4 libktexteditor4 libnepomuk4 libnepomukquery4a libnepomukutils4 libplasma3
      libpoppler-glib8 libpoppler-qt4-4 libsolid4 libthreadweaver4 plasma-scriptengine-javascript poppler-utils
      python-ubuntuone-control-panel ubuntu-desktop ubuntuone-control-panel ubuntuone-control-panel-qt
    Regards,
    Effenberg

  7. #7
    Join Date
    Aug 2012
    Beans
    58

    Re: Nvidia drivers 304.48

    I have yet been able to install nvidia drivers without any problems... I shall try again!

  8. #8
    Join Date
    Mar 2011
    Location
    Thessaloniki, GR
    Beans
    82
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Nvidia drivers 304.48

    I use GTX 465 and I successfully installed 304.48 using this guide.

    It's based on my 1-click install script. If the new drivers cause problem, you can always go back to the stable (non-beta) or remove proprietary and use open source noveau

  9. #9
    Join Date
    Jul 2010
    Location
    Finland
    Beans
    2,455
    Distro
    Ubuntu

    Re: Nvidia drivers 304.48

    This is a guide on what to do if something goes wrong.
    First of all, if you do not know what you are doing, do not use nvidia*.run package,
    only use official or trusted PPA debian (.deb) packages (nvidia-current_*.deb).

    It is a good practise to learn the manual installation from the terminal.
    So, first download the version you want, for example from a trusted PPA (like Xorg.edgers). It is a very good quality PPA.

    After this download the same nvidia-current_*.deb you are successfully using before the installation. Remember where it was downloaded to, but do not keep it in the same folder as the new nvidia-current_*.deb or any other .deb package.

    Then in terminal go to the folder where you downloaded your new nvidia-current_*.deb package. See that no other .deb package is in the same folder, otherwise they will get installed too.

    Run this command:
    sudo apt-get -i *.deb

    Then reboot.
    If you cannot get to the login screen or desktop, just press cntrl+alt+F1, which takes you to VT1.
    Login.
    Go to the directory, where the older, working version of the nvidia-current_*.deb is and run the same command again.

    sudo apt-get -i *.deb
    Reboot and your system is OK again.

  10. #10
    Join Date
    Jul 2010
    Location
    Finland
    Beans
    2,455
    Distro
    Ubuntu

    Re: Nvidia drivers 304.48

    Now Canonical has a new invention here.
    This beta Nvidia driver (304.48 - nvidia-current) has been renamed to nvidia-experimental.
    This is a very bad practise and makes it more difficult to install the driver manually.

    However, no need to use this QQ flavour as the same driver can be found from Xorg edgers PPA.

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •